%global pypi_name pyspartn

Name:          python-%{pypi_name}
Version:       1.0.7
Release:       %autorelease
Summary:       Python library for parsing SPARTN protocol messages
License:       BSD-3-Clause
URL:           https://github.com/semuconsulting/%{pypi_name}
Source0:       %url/archive/%{version}.tar.gz#/%{pypi_name}-%{version}.tar.gz

BuildArch:     noarch
BuildRequires: python3-devel
BuildRequires: python3-pip
BuildRequires: python3-setuptools

%global _description %{expand:
pyspartn is an original Python 3 parser for the SPARTN © GPS/GNSS
protocol. SPARTN is an open-source GPS/GNSS differential correction
or DGPS protocol published by u-blox.
}

%description %_description

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description


%prep
%autosetup -p1 -n %{pypi_name}-%{version}
sed -i 's/75.0/74.0/' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
%autochangelog
